Index: Makefile.in
--- Makefile.in.orig	2009-04-13 17:50:53 +0200
+++ Makefile.in	2009-04-13 17:55:37 +0200
@@ -502,7 +502,7 @@
 	@WITH_PCRE_SUBDIR@ @WITH_LUA_SUBDIR@ @WITH_FILE_SUBDIR@ \
 	@WITH_SYCK_SUBDIR@ @WITH_XAR_SUBDIR@ @WITH_XZ_SUBDIR@ misc \
 	rpmio rpmdb lib build rpmconstant @WITH_PYTHON_SUBDIR@ \
-	@WITH_PERL_SUBDIR@ tools scripts tests doc .
+	@WITH_PERL_SUBDIR@ tools scripts doc .
 AM_CPPFLAGS = \
 	-I$(srcdir) \
 	-I$(top_srcdir) \
Index: configure
--- configure.orig	2009-04-13 17:50:56 +0200
+++ configure	2009-04-13 17:55:37 +0200
@@ -45970,7 +45970,7 @@
 fi
 
 	  case "$host" in
-	    *-*-linux* ) USE_LUA_SHADOW=yes; USE_LUA_CHKCONFIG=yes; ;;
+	    *-*-linux* ) USE_LUA_SHADOW=no; USE_LUA_CHKCONFIG=no; ;;
 	  esac
 
 cat >>confdefs.h <<\_ACEOF
Index: macros.in
--- macros.in.orig	2009-04-12 21:46:09 +0200
+++ macros.in	2009-04-13 17:55:37 +0200
@@ -692,8 +692,8 @@
 
 # database tag configuration
 %_dbi_tags                      %{expand:%%{_dbi_tags_%{_dbapi_used}}}
-%_dbi_tags_3                    Packages:Name:Basenames:Group:Providename:Requirename:Conflictname:Obsoletename:Triggername:Dirnames:Requireversion:Provideversion:Installtid:Sigmd5:Sha1header:Filedigests:Pubkeys:Packagecolor:Nvra:Sourcepkgid:Filepaths
-%_dbi_tags_4                    Packages:Name:Basenames:Group:Providename:Requirename:Conflictname:Obsoletename:Triggername:Dirnames:Requireversion:Provideversion:Installtid:Sigmd5:Sha1header:Filedigests:Pubkeys:Packagecolor:Nvra:Sourcepkgid:Filepaths
+%_dbi_tags_3                    Packages:Name:Basenames:Group:Providename:Requirename:Conflictname:Obsoletename:Triggername:Dirnames:Requireversion:Provideversion:Installtid:Sigmd5:Sha1header:Filedigests:Pubkeys:Packagecolor:Nvra:Sourcepkgid:Filepaths:BuildEnvironment
+%_dbi_tags_4                    Packages:Name:Basenames:Group:Providename:Requirename:Conflictname:Obsoletename:Triggername:Dirnames:Requireversion:Provideversion:Installtid:Sigmd5:Sha1header:Filedigests:Pubkeys:Packagecolor:Nvra:Sourcepkgid:Filepaths:BuildEnvironment
 
 # database configuration: Berkeley-DB [dbapi 3 hooks]
 %_dbi_config_3                  %{_dbi_btconfig}
@@ -720,6 +720,7 @@
 %_dbi_config_3_Triggername      %{_dbi_btconfig}
 %_dbi_config_3_Packages         %{_dbi_btconfig} lockdbfd
 %_dbi_config_3_Depends          %{_dbi_btconfig} temporary private
+%_dbi_config_3_BuildEnvironment %{_dbi_btconfig}
 
 # database configuration: SQLite [dbapi 4 hooks]
 %_dbi_config_4                  %{_dbi_sqlconfig}
@@ -746,6 +747,7 @@
 %_dbi_config_4_Triggername      %{_dbi_sqlconfig}
 %_dbi_config_4_Packages         %{_dbi_sqlconfig}
 %_dbi_config_4_Depends          %{_dbi_sqlconfig} temporary private
+%_dbi_config_4_BuildEnvironment %{_dbi_sqlconfig}
 
 # database configuration [code entry hooks]
 %_dbi_config                    %{expand:%%{_dbi_config_%{_dbapi_used}}}
@@ -772,6 +774,7 @@
 %_dbi_config_Nvra               %{expand:%%{_dbi_config_%{_dbapi_used}_Nvra}}
 %_dbi_config_Sourcepkgid        %{expand:%%{_dbi_config_%{_dbapi_used}_Sourcepkgid}}
 %_dbi_config_Filepaths		%{expand:%%{_dbi_config_%{_dbapi_used}_Filepaths}}
+%_dbi_config_BuildEnvironment   %{expand:%%{_dbi_config_%{_dbapi_used}_BuildEnvironment}}
 
 # Database API configuration:
 #
@@ -1404,11 +1407,11 @@
 %_build_cpu		%{_host_cpu}
 %_build_vendor		%{_host_vendor}
 %_build_os		%{_host_os}
-%_host			@host@
-%_host_alias		@host_alias@%{nil}
-%_host_cpu		@host_cpu@
-%_host_vendor		@host_vendor@
-%_host_os		@host_os@
+#%_host			@host@
+#%_host_alias		@host_alias@%{nil}
+#%_host_cpu		@host_cpu@
+#%_host_vendor		@host_vendor@
+#%_host_os		@host_os@
 %_target		%{_host}
 %_target_alias		%{_host_alias}
 %_target_cpu		%{_host_cpu}
Index: rpmqv.c
--- rpmqv.c.orig	2009-04-12 21:46:09 +0200
+++ rpmqv.c	2009-04-13 17:55:37 +0200
@@ -1,6 +1,9 @@
 #include "system.h"
 extern const char *__progname;
 
+#define RPM_INTEGRITY_FP "0000000000000000000000000000000000000000"
+#define RPM_INTEGRITY_MV "0.0.0"
+
 /* Copyright (C) 1998-2002 - Red Hat, Inc. */
 
 #define	_AUTOHELP
Index: tools/Makefile.in
--- tools/Makefile.in.orig	2009-04-13 17:50:53 +0200
+++ tools/Makefile.in	2009-04-13 17:55:37 +0200
@@ -35,9 +35,8 @@
 host_triplet = @host@
 target_triplet = @target@
 EXTRA_PROGRAMS = debugedit$(EXEEXT) rpmkey$(EXEEXT) txar$(EXEEXT)
-bin_PROGRAMS = rpm2cpio$(EXEEXT) rpmcache$(EXEEXT) rpmdigest$(EXEEXT) \
-	rpmgrep$(EXEEXT) rpmmtree$(EXEEXT) rpmrepo$(EXEEXT) \
-	rpmspecdump$(EXEEXT) rpmwget$(EXEEXT)
+bin_PROGRAMS = rpm2cpio$(EXEEXT) rpmcache$(EXEEXT) rpmgrep$(EXEEXT)
+	
 pkglib_PROGRAMS = rpmcmp$(EXEEXT) rpmdeps$(EXEEXT) \
 	@WITH_LIBELF_DEBUGEDIT@ $(am__EXEEXT_1)
 @WITH_DB_INTERNAL_TRUE@@WITH_DB_TOOLS_INTEGRATED_TRUE@am__append_1 = db_tool
Index: rpmio/rpmlua.c
--- rpmio/rpmlua.c	18 Apr 2009 16:45:17 -0000	2.52.2.10
+++ rpmio/rpmlua.c	6 May 2009 19:40:54 -0000
@@ -1147,7 +1147,7 @@
     if ((hbn = gethostbyname(hostname)) != NULL)
         h = hbn->h_name;
     else
-        h = "localhost";
+        h = hostname;
 /*@=multithreaded@*/
     lua_pushstring(L, (const char *)h);
     return 1;
Index: lib/rpmfc.c
--- lib/rpmfc.c	6 Apr 2009 00:21:21 -0000	1.64
+++ lib/rpmfc.c	11 Apr 2009 14:17:58 -0000	1.65
@@ -1836,7 +1836,7 @@
 /*@=mustmod@*/
 
 /*@unchecked@*/ /*@only@*/ /*@null@*/
-rpmioPool _rpmfcPool;
+rpmioPool _rpmfcPool = NULL;
 
 static rpmfc rpmfcGetPool(/*@null@*/ rpmioPool pool)
 	/*@globals _rpmfcPool, fileSystem, internalState @*/
Index: rpmio/rpmmg.c
--- rpmio/rpmmg.c	25 Mar 2009 20:26:47 -0000	2.10
+++ rpmio/rpmmg.c	11 Apr 2009 14:17:58 -0000	2.11
@@ -37,7 +37,7 @@
 /*@=mustmod@*/
 
 /*@unchecked@*/ /*@only@*/ /*@null@*/
-rpmioPool _rpmmgPool;
+rpmioPool _rpmmgPool = NULL;
 
 static rpmmg rpmmgGetPool(/*@null@*/ rpmioPool pool)
 	/*@globals _rpmmgPool, fileSystem @*/
Index: rpmio/glob.c
--- rpmio/glob.c.orig	2009-03-06 23:53:52 +0100
+++ rpmio/glob.c	2009-09-19 19:46:41 +0200
@@ -47,6 +47,18 @@
 
 # include "system.h"
 
+#ifndef PATH_MAX
+#ifdef _POSIX_VERSION
+#define PATH_MAX _POSIX_PATH_MAX
+#else
+#ifdef MAXPATHLEN
+#define PATH_MAX MAXPATHLEN
+#else
+#define PATH_MAX 1024
+#endif
+#endif
+#endif
+
 /* Needed for offsetof() */
 # include <stddef.h>
 
@@ -1111,7 +1123,7 @@
 		    {
 	 		struct dirent64 d64;
       			char room [offsetof (struct dirent64, d_name[0])
-   				   + NAME_MAX + 1];
+   				   + PATH_MAX + 1];
     		    }
     		  d64buf;
 
Index: lua/local/lposix.c
--- lua/local/lposix.c.orig	2009-03-06 23:52:45 +0100
+++ lua/local/lposix.c	2009-09-20 19:57:28 +0200
@@ -538,6 +538,7 @@
 	return pushresult(L, mkdir(path, 0777), path);
 }
 
+#if 0
 static int Pmkdtemp(lua_State *L)		/** mkdtemp(template) */
 	/*@globals fileSystem @*/
 	/*@modifies L, fileSystem @*/
@@ -555,6 +556,7 @@
 		return 1;
 	}
 }
+#endif
 
 
 static int Pchdir(lua_State *L)			/** chdir(path) */
@@ -1196,7 +1198,9 @@
 	{"kill",		Pkill},
 	{"link",		Plink},
 	{"mkdir",		Pmkdir},
+#if 0
 	{"mkdtemp",		Pmkdtemp},
+#endif
 	{"mkfifo",		Pmkfifo},
 	{"pathconf",		Ppathconf},
 	{"putenv",		Pputenv},
Index: db/os/os_yield.c
--- db/os/os_yield.c.orig	2008-06-15 10:56:46.000000000 +0200
+++ db/os/os_yield.c	2010-04-30 21:30:35.000000000 +0200
@@ -58,7 +58,7 @@
 #elif defined(HAVE_YIELD)
 		yield();
 #else
-		__os_sleep(dbenv, 0, 0);
+		__os_sleep(env, 0, 0);
 #endif
 	}
 }
Index: lib/depends.c
--- lib/depends.c.orig	2009-04-12 21:46:17.000000000 +0200
+++ lib/depends.c	2011-03-08 20:33:59.000000000 +0100
@@ -2654,7 +2654,7 @@
 #endif
 		const char * dp;
 		int msglvl = (anaconda || (rpmtsDFlags(ts) & RPMDEPS_FLAG_DEPLOOPS))
-			? RPMLOG_WARNING : RPMLOG_ERR;
+			? RPMLOG_WARNING : RPMLOG_DEBUG;
 ;
 
 		/* Unchain predecessor loop. */
Index: doc/rpm.8
--- doc/rpm.8.orig	2007-11-10 03:16:22.000000000 +0100
+++ doc/rpm.8	2011-05-11 17:41:36.000000000 +0200
@@ -177,16 +177,7 @@
 \fBrpm\fR {\fB-F|--freshen\fR} [\fBinstall-options\fR] \fB\fIPACKAGE_FILE\fB\fR\fI ...\fR
 .PP
 This will upgrade packages, but only if an earlier version
-currently exists. The \fIPACKAGE_FILE\fR
-may be specified as an
-\fBftp\fR or
-\fBhttp\fR URL,
-in which case the package will be downloaded before being
-installed. See \fBFTP/HTTP OPTIONS\fR
-for information on \fBrpm\fR's internal
-\fBftp\fR and
-\fBhttp\fR
-client support. 
+currently exists.
 .PP
 .TP
 \fB--aid\fR
@@ -496,14 +487,7 @@
 .TP
 \fB-p, --package \fIPACKAGE_FILE\fB\fR
 Query an (uninstalled) package \fIPACKAGE_FILE\fR.
-The \fIPACKAGE_FILE\fR may be specified
-as an \fBftp\fR or \fBhttp\fR style URL, in
-which case the package header will be downloaded and queried.
-See \fBFTP/HTTP OPTIONS\fR for information on
-\fBrpm\fR's internal
-\fBftp\fR and
-\fBhttp\fR
-client support. The \fIPACKAGE_FILE\fR argument(s),
+The \fIPACKAGE_FILE\fR argument(s),
 if not a binary package, will be interpreted as an ASCII package
 manifest.  Comments are permitted, starting with a '#', and each
 line of a package manifest file may include white space separated
@@ -796,53 +780,6 @@
 \fIrpmrc\fR and
 \fImacros\fR
 configuration file(s).
-.SS "FTP/HTTP OPTIONS"
-.PP
-\fBrpm\fR can act as an FTP and/or HTTP client so
-that packages can be queried or installed from the internet.
-Package files for install, upgrade, and query operations may be
-specified as an
-\fBftp\fR or
-\fBhttp\fR
-style URL:  
-.PP
-ftp://USER:PASSWORD@HOST:PORT/path/to/package.rpm
-.PP
-If the \fB:PASSWORD\fR portion is omitted, the password will be
-prompted for (once per user/hostname pair). If both the user and
-password are omitted, anonymous \fBftp\fR is used.
-In all cases, passive (PASV) \fBftp\fR transfers are
-performed.
-.PP
-\fBrpm\fR allows the following options to be used with
-ftp URLs:
-.TP
-\fB--ftpproxy \fIHOST\fB\fR
-The host \fIHOST\fR will be used as a proxy server
-for all ftp transfers, which allows users to ftp through firewall
-machines which use proxy systems. This option may also be specified
-by configuring the macro \fB%_ftpproxy\fR.
-.TP
-\fB--ftpport \fIPORT\fB\fR
-The TCP \fIPORT\fR number to use for
-the ftp connection on the proxy ftp server instead of the default
-port. This option may also be specified by configuring the macro
-\fB%_ftpport\fR.
-.PP
-\fBrpm\fR allows the following options to be used with
-\fBhttp\fR URLs:
-.TP
-\fB--httpproxy \fIHOST\fB\fR
-The host \fIHOST\fR will be used as
-a proxy server for all \fBhttp\fR transfers. This
-option may also be specified by configuring the macro
-\fB%_httpproxy\fR.
-.TP
-\fB--httpport \fIPORT\fB\fR
-The TCP \fIPORT\fR number to use for the
-\fBhttp\fR connection on the proxy http server instead
-of the default port. This option may also be specified by configuring
-the macro \fB%_httpport\fR.
 .SH "LEGACY ISSUES"
 .SS "Executing rpmbuild"
 .PP
Index: lua/local/lrexlib_lposix.c
--- lua/local/lrexlib_lposix.c.orig	2008-06-15 10:56:54.000000000 +0200
+++ lua/local/lrexlib_lposix.c	2012-02-06 20:51:46.000000000 +0100
@@ -242,10 +242,16 @@
   { "ESPACE",   REG_ESPACE },
   { "BADRPT",   REG_BADRPT },
 #ifdef REX_POSIX_EXT
+#ifdef REG_EMPTY
   { "EMPTY",    REG_EMPTY },
+#endif
+#ifdef REG_ASSERT
   { "ASSERT",   REG_ASSERT },
+#endif
+#ifdef REG_INVARG
   { "INVARG",   REG_INVARG },
 #endif
+#endif
 /*---------------------------------------------------------------------------*/
   { NULL, 0 }
 };
